
//PRELOAD DE IMG
this.addEventListener("DOMContentLoaded", preloadImages, true);

var loadedImages = 0;
//ACA HAY QUE CARGAR LAS IMAGENES QUE SE USEN
var imageArray = new Array(
  'images/background.jpg',
  'images/cta.png',
  'images/logo_1.png',
  'images/logo_2.png',
);

function preloadImages(e) {
  for (var i = 0; i < imageArray.length; i++) {
    var tempImage = new Image();
    tempImage.addEventListener("load", trackProgress, true);
    tempImage.src = imageArray[i];
  }
}

function trackProgress() {
  loadedImages++;
  if (loadedImages == imageArray.length) {
    imagesLoaded();
  }
}

function imagesLoaded() {

  document.getElementById('loader-container').style.display = 'none';
  document.getElementById('banner_content').style.display = 'block';


  initHandlers();
  initAnimations();

}

/* PARA DETECTAR SI ES IOs */
var is_Mac = navigator.platform.toUpperCase().indexOf('MAC') >= 0;
var iOS = /iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream;

if (is_Mac == true || iOS == true) {

}



/* PARA DETECTAR SI ES IE */
if (navigator.userAgent.indexOf('MSIE') !== -1
  || navigator.appVersion.indexOf('Trident/') > 0) {

  alert("IE");

}


// VARIABLES GLOBALES

function initAnimations() {
  var times = 0;

  var tl_ = new TimelineMax();
  tl_
    .staggerFrom('.txt_a', 0.75, { opacity: 0, x: '-=150px', ease: Power1.easeOut }, 0.2, 0.4)
    .staggerFrom(['.logo_1', '.logo_2', '.cta'], 0.5, { opacity: 0, y: '+=10', ease: Power2.easeInOut }, 0.2, '+=0.2')
    .call(function () {
      times++;
      if (times <= 2) {
        setTimeout(function () {
          TweenMax.to(['.logo_1', '.logo_2', '.cta'], 0.5, { opacity: 0, ease: Power2.easeOut }, 0);

          setTimeout(function () {
            tl_.restart();
          }, 1800)
        }, 4000);
      }
    });
}

//HANDLERS
function initHandlers() {

  var clicktag = document.getElementById('clickTag');
  clicktag.addEventListener('mouseup', function (event) {
    window.open(window.clickTag, '_blank');
  });
  clicktag.addEventListener('mouseover', function () {
    TweenMax.to('.cta', .25, { scale: 1.1 });
  });
  clicktag.addEventListener('mouseout', function () {
    TweenMax.to('.cta', .25, { scale: 1 });
  });
}

